class NodeConfiguration{

  // contiene i campi delle configurazioni dei nodi
  String type;
  int r,g,b;
  PImage icon;
  boolean visualizeInitially;
  
  
  // il costruttore di default imposta dei parametri standard
  // vuol dire che se non specifico nulla, il nodo verra' rappresentato in questo
  // modo
  public NodeConfiguration(){
    type = "default";
    r = 255;
    g = 255;
    b = 255;
    icon = null;
    visualizeInitially = true;
  }
  
  
  // questo altro costruttore e' quello che viene usato per caricare le righe dalla
  // base di dati
  public NodeConfiguration(String s, int c1, int c2, int c3, String iconFileName, boolean initially){
  
     type = s;
     r = c1;
     g = c2;
     b = c3;
     icon = loadImage( iconFileName );
     visualizeInitially = initially;  
  
  }
  
}
