class Relation{

  // contiene i campi che descrivono una relazione
  
  // nodo 1 e nodo 2 sono i nomi dei nodi coinvolti
  String node1;
  String node2;
  
  // type=tipo della relazione (information, communication, knowledge...)
  String type;
  
  // descrivono in maggior dettaglio le relazioni (sono come delle parole chiave)
  String[] tags;
  
  // la direzione della relazione (uni, bidi, none, 1-2, 2-1)
  String direction;
  
  // contiene la configurazione della rappresentazione della relazione
  RelationConfiguration configuration;
  
  // e' il costruttore che viene usato quando si caricano le righe dalla base di dati
  public Relation(String n1, String n2, String t, String[] tt, String d){
     node1 = n1;
     node2 = n2;
     type = t;
     tags = tt;
     direction = d;
     // imposta una visualizzazione di default
     configuration = new RelationConfiguration();
  }


}
