class RelationConfiguration{

  
  // contiene i campi delle configurazioni delle relazioni
  String type;
  int r,g,b;
  PImage icon;
  float offset;
  

  // il costruttore di default imposta dei parametri standard
  // vuol dire che se non specifico nulla, la relazione verra' rappresentata in questo
  // modo
  public RelationConfiguration(){
    type = "default";
    r = 255;
    g = 255;
    b = 255;
    icon = null;
    offset = 0;
  }
  
  // questo altro costruttore e' quello che viene usato per caricare le righe dalla
  // base di dati
  public RelationConfiguration( String s, int c1, int c2, int c3, String iconFileName, 
  float o ){
    
    type = s;
    r = c1;
    g = c2;
    b = c3;
    icon = loadImage( iconFileName );
    offset = o;
  
  }



}
